# Uses of Enum Class
xg.protocol.messages.ProtocolPrivMessages.protocolPrivMessage.messageType

Packages that use ProtocolPrivMessages.protocolPrivMessage.messageType
Package
Description
xg.protocol.messages

## Uses of ProtocolPrivMessages.protocolPrivMessage.messageType in xg.protocol.messages

Methods in xg.protocol.messages that return ProtocolPrivMessages.protocolPrivMessage.messageType
Modifier and Type
Method
Description
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
ProtocolPrivMessages.protocolPrivMessage.messageType.`forNumber(int value)`
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
ProtocolPrivMessages.protocolPrivMessage.messageType.`valueOf(int value)`
Deprecated.
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
ProtocolPrivMessages.protocolPrivMessage.messageType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
ProtocolPrivMessages.protocolPrivMessage.messageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivMessage.messageType[]`
ProtocolPrivMessages.protocolPrivMessage.messageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in xg.protocol.messages that return types with arguments of type ProtocolPrivMessages.protocolPrivMessage.messageType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivMessage.messageType>`
ProtocolPrivMessages.protocolPrivMessage.messageType.`internalGetValueMap()`